summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2021-07-16 17:31:27 +0200
committerMichał Górny <mgorny@gentoo.org>2021-07-16 17:32:18 +0200
commit9fd4df4d45cf72d153bd36aacbf333b42fc6c5f5 (patch)
tree45360389c495519b75bb81055c9945e248c8673e /app-vim
parentkde-frameworks/kio: Drop 5.84.0 (r0) (diff)
downloadgentoo-9fd4df4d45cf72d153bd36aacbf333b42fc6c5f5.tar.gz
gentoo-9fd4df4d45cf72d153bd36aacbf333b42fc6c5f5.tar.bz2
gentoo-9fd4df4d45cf72d153bd36aacbf333b42fc6c5f5.zip
app-vim/gentoo-syntax: Bump to 20210716
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'app-vim')
-rw-r--r--app-vim/gentoo-syntax/Manifest1
-rw-r--r--app-vim/gentoo-syntax/gentoo-syntax-20210716.ebuild42
2 files changed, 43 insertions, 0 deletions
diff --git a/app-vim/gentoo-syntax/Manifest b/app-vim/gentoo-syntax/Manifest
index 686b81778ce..db9e26b764a 100644
--- a/app-vim/gentoo-syntax/Manifest
+++ b/app-vim/gentoo-syntax/Manifest
@@ -1 +1,2 @@
DIST gentoo-syntax-20210428.tar.bz2 18737 BLAKE2B 437bf954e2bca61e3f612761a056de3c248d8f1f7afd3d07fab01770b1ff6e0ed8adb7222a61683770f369392d2c6f52ec5594b946c9e7a69d1cc1f6033caa5b SHA512 db64f53e0c6dd0c9b7fa9142422e4b24f037e9fb012235756443556a20a2bbce9c0b712a5375f482d3caf83760bc96239afc17a1a4f2ad89e9a6166063c6af68
+DIST gentoo-syntax-20210716.tar.bz2 18872 BLAKE2B faef2f356331c8560cb8e8014ad1a32a299f94fe8d05be499955cb78f1537f85abe44864b782df34244c3e606443b2146bd58a55047b23d327a548a436e818dc SHA512 f1a374fb5cf05563ea8cafa2209c9e8ba62bc072cac99202f486c3f7412cbb63432a33830e285ba706f8f73ee7f7bfd4e0b30bfad6feee1643e862b86495b82e
diff --git a/app-vim/gentoo-syntax/gentoo-syntax-20210716.ebuild b/app-vim/gentoo-syntax/gentoo-syntax-20210716.ebuild
new file mode 100644
index 00000000000..72f25ef766b
--- /dev/null
+++ b/app-vim/gentoo-syntax/gentoo-syntax-20210716.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit vim-plugin
+
+DESCRIPTION="vim plugin: Gentoo and Portage syntax highlighting"
+HOMEPAGE="https://github.com/gentoo/gentoo-syntax"
+SRC_URI="https://gitweb.gentoo.org/proj/gentoo-syntax.git/snapshot/${P}.tar.bz2"
+
+LICENSE="vim"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="ignore-glep31"
+
+VIM_PLUGIN_HELPFILES="gentoo-syntax"
+VIM_PLUGIN_MESSAGES="filetype"
+
+src_prepare() {
+ default
+ if use ignore-glep31 ; then
+ for f in ftplugin/*.vim ; do
+ ebegin "Removing UTF-8 rules from ${f} ..."
+ sed -i -e 's~\(setlocal fileencoding=utf-8\)~" \1~' ${f} \
+ || die "waah! bad sed voodoo. need more goats."
+ eend $?
+ done
+ fi
+}
+
+pkg_postinst() {
+ vim-plugin_pkg_postinst
+
+ if [[ -z ${REPLACING_VERSIONS} ]] ; then
+ if use ignore-glep31 1>/dev/null ; then
+ ewarn "You have chosen to disable the rules which ensure GLEP 31"
+ ewarn "compliance. When editing ebuilds, please make sure you get"
+ ewarn "the character set correct."
+ fi
+ fi
+}